## ceilometer 13.0.0

=== debian/changelog ===
ceilometer (1:13.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 23:50:54 +0200

ceilometer (1:13.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 17:46:49 +0200

ceilometer (1:13.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Also install ceilometer-status.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 21:24:35 +0200

ceilometer (1:12.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:21:05 +0200

ceilometer (1:12.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 18:39:20 +0200

ceilometer (1:12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 08:55:25 +0200

ceilometer (1:12.0.0~rc1-2) experimental; urgency=medium

  * Do not use python3- prefix when calling oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 16:45:24 +0100

ceilometer (1:12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Add missing (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 15:27:42 +0100

=== debian/control ===
Source: ceilometer
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-awsauth,
 python3-cachetools,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-cotyledon,
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-futurist (>= 1.8.0),
 python3-gabbi,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-mock,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-win,
 python3-os-xenapi,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-oslotest,
 python3-pastedeploy,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.httpdomain,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-swiftclient,
 python3-tempest <!nocheck>,
 python3-tenacity,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 subunit <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ceilometer
Vcs-Git: https://salsa.debian.org/openstack-team/services/ceilometer.git
Homepage: http://wiki.openstack.org/Ceilometer

Package: ceilometer-agent-central
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - agent central
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - compute agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent.

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ipmitool,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - IPMI agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the IPMI agent daemon.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - notification agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent daemon.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 ceilometer-api,
 ceilometer-collector,
Description: OpenStack efficient metering counters system - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Ceilometer.

Package: ceilometer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: ceilometer-polling
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack efficient metering counters system - Polling agent
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Section: python
Architecture: all
Depends:
 libjs-jquery,
 python3-cachetools,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-cotyledon,
 python3-futurist (>= 1.8.0),
 python3-glanceclient,
 python3-gnocchiclient,
 python3-greenlet,
 python3-jsonpath-rw-ext,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-kombu,
 python3-lxml,
 python3-msgpack,
 python3-mysqldb,
 python3-neutronclient,
 python3-novaclient,
 python3-os-xenapi,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.vmware,
 python3-pastedeploy,
 python3-pbr,
 python3-pymongo,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-six,
 python3-stevedore,
 python3-swiftclient,
 python3-tenacity,
 python3-tooz,
 python3-werkzeug,
 python3-yaml,
 python3-zaqarclient,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack efficient metering counters system - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Ceilometer.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/ceilometer-common.config debian/ceilometer-common.postinst

override_dh_auto_clean:
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ceilometer-common.postinst
	pkgos-merge-templates ceilometer-common ceilometer rabbit

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_PATH=$(CURDIR)/ceilometer/tests/unit PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'tests\.(?!(.*test_bin.*|.*functional.*|.*gabbi\.test_gabbi_prefix.*|.*meter\.test_notifications\.TestMeterProcessing\.test_fallback_meter_path.*|.*agent\.test_manager\.TestRunTasks\.test_batching_polled_samples_false.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

	# Manage ceilometer.conf
	mkdir -p $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf \
		--wrap-width 140 \
		--namespace ceilometer \
		--namespace ceilometer-auth \
		--namespace oslo.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.service.service

	# Fix default path for lock_path
	pkgos-fix-config-default $(CURDIR)/debian/ceilometer-common/usr/share/ceilometer-common/ceilometer.conf oslo_concurrency lock_path /var/lock/ceilometer

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html
	mkdir -p $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static
	touch $(CURDIR)/debian/ceilometer-doc/usr/share/doc/ceilometer-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ceilometer 13.1.0

=== debian/changelog ===
ceilometer (1:13.1.0-0ubuntu1) eoan; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Train (LP: #1871125).
  * d/p/add-loadbalancer-resource-type.patch: Dropped. Fixed in stable
    point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 11:45:01 -0400

ceilometer (1:13.0.0-0ubuntu1.1) eoan; urgency=medium

  * d/gbp.conf: Create stable/train branch.
  * d/p/add-loadbalancer-resource-type.patch: Enable load balancer metrics,
    allowing gnocchi to capture measurement data for octavia load balancers
    (LP: #1848286).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Nov 2019 09:23:05 -0500

ceilometer (1:13.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:38:44 +0100

ceilometer (1:13.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/watch: Track 13.x series.
  * New upstream release candidate for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 13:29:40 -0400

ceilometer (1:13.0.0~b2~git2019082217.b6896c24-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules, d/test-blacklist.txt: Run tests with pkgos-dh_auto_test and drop
    test-blacklist.txt file.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Aug 2019 17:04:16 -0400

ceilometer (1:13.0.0~b2~git2019073015.81572662-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 15:26:26 +0200

ceilometer (1:13.0.0~b1~git2019061315.28f0a70d-0ubuntu1) eoan; urgency=medium

  * New upstream release 13.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 14 Jun 2019 16:33:06 +0100

=== debian/control ===
Source: ceilometer
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-awsauth (>= 0.1.4),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-confluent-kafka (>= 0.11.0),
 python3-cotyledon (>= 1.3.0),
 python3-coverage (>= 4.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.8.0),
 python3-gabbi (>= 1.30.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.9.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 3.0.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.2.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pysnmp4 (>= 4.2.3),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:14.0.0),
 python3-tenacity (>= 4.4.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 3.12),
 python3-zaqarclient (>= 1.3.0),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
Testsuite: autopkgtest-pkg-python

Package: ceilometer-agent-central
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer central agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the central agent.

Package: ceilometer-agent-compute
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer compute agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the compute agent

Package: ceilometer-agent-ipmi
Architecture: all
Depends:
 ipmitool,
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer ipmi agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the ipmi agent.

Package: ceilometer-agent-notification
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer notification agent
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the notification agent.

Package: ceilometer-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 ceilometer-agent-central (<< 1:11.0.0-0ubuntu2~),
 ceilometer-agent-compute (<< 1:11.0.0-0ubuntu2~),
 ceilometer-agent-ipmi (<< 1:11.0.0-0ubuntu2~),
 ceilometer-agent-notification (<< 1:11.0.0-0ubuntu2~),
 ceilometer-polling (<< 1:11.0.0-0ubuntu2~),
Replaces:
 ceilometer-agent-central (<< 1:11.0.0-0ubuntu2~),
 ceilometer-agent-compute (<< 1:11.0.0-0ubuntu2~),
 ceilometer-agent-ipmi (<< 1:11.0.0-0ubuntu2~),
 ceilometer-agent-notification (<< 1:11.0.0-0ubuntu2~),
 ceilometer-polling (<< 1:11.0.0-0ubuntu2~),
Description: ceilometer common files
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of ceilometer

Package: ceilometer-polling
Architecture: all
Depends:
 python3-ceilometer (= ${binary:Version}),
 ${misc:Depends},
Description: ceilometer polling service
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the polling service.

Package: python3-ceilometer
Architecture: all
Depends:
 ceilometer-common (= ${binary:Version}),
 python3-cachetools (>= 2.1.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-cotyledon (>= 1.3.0),
 python3-croniter,
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-gnocchiclient (>= 7.0.0),
 python3-jsonpath-rw-ext (>= 1.1.3),
 python3-keystoneauth1 (>= 3.9.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-libvirt,
 python3-lxml (>= 3.4.1),
 python3-monotonic (>= 0.6),
 python3-msgpack (>= 0.5.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.2.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.37.0),
 python3-pbr (>= 2.0.0),
 python3-pysnmp4 (>= 4.2.3),
 python3-requests (>= 2.8.1),
 python3-six (>= 1.9.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 4.4.0),
 python3-tooz (>= 1.47.0),
 python3-yaml (>= 3.12),
 python3-zaqarclient (>= 1.3.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-gnocchiclient (>= 4.0.0),
 python3-kafka (>= 1.3.2),
 python3-zaqarclient (>= 1.0.0),
Breaks:
 ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
 ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
Replaces:
 ceilometer-agent-common (<< 1:10.0.1-0ubuntu1~),
 ceilometer-agent-notification (<< 1:10.0.1-0ubuntu1~),
Description: ceilometer python libraries
 Ceilometer aims to deliver a unique point of contact for billing systems to
 acquire all counters they need to establish customer billing, across all
 current and future OpenStack components. The delivery of counters must
 be traceable and auditable, the counters must be easily extensible to support
 new projects, and agents doing data collections should be
 independent of the overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 module for ceilometer.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer ceilometer-(13\..*)\.tar\.gz

## ceilometer 13.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cachetools>=2.1.0 # MIT License
cotyledon>=1.3.0 #Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=1.8.0 # Apache-2.0
jsonpath-rw-ext>=1.1.3 # Apache-2.0
lxml>=3.4.1 # BSD
monotonic>=0.6;python_version<'3.3' # Apache-2.0
msgpack>=0.5.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
oslo.messaging>=6.2.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
keystoneauth1>=3.9.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-cinderclient>=3.3.0  # Apache-2.0
PyYAML>=3.12 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
stevedore>=1.20.0 # Apache-2.0
tenacity>=4.4.0  # Apache-2.0
tooz[zake]>=1.47.0 # Apache-2.0
os-xenapi>=0.3.3 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
gnocchiclient>=7.0.0 # Apache-2.0
python-zaqarclient>=1.3.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.6'  # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:13.1.2-0ubuntu1~cloud2) bionic-train; urgency=medium

  * d/t/control, d/t/test-services: Add nova-compute as a depends for
    services.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Mar 2021 14:02:23 +0000

ceilometer (1:13.1.2-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/ceilometer-agent-compute.service.in: Customize systemd unit to
    ensure nova-compute is started (LP: #1885430).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 11 Mar 2021 09:18:47 +0000

ceilometer (1:13.1.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Add trailing slash do fix download.
  * New stable point release for OpenStack Train (LP: #1915787).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Feb 2021 08:23:23 +0000

ceilometer (1:13.1.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1888201).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 21 Jul 2020 06:48:14 +0000

ceilometer (1:13.1.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Apr 2020 22:03:41 +0000

=== debian/control ===
--- 
+++ 
@@ -75,8 +75,8 @@
  python3-yaml (>= 3.12),
  python3-zaqarclient (>= 1.3.0),
 Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
 Testsuite: autopkgtest-pkg-python
 
 Package: ceilometer-agent-central

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)
export HOME="$(CURDIR)/debian/test"

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2 --test-path=./ceilometer/tests/unit 'ceilometer\.tests\.unit\.(?!(.*test_bin.*))'
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
	rm -rf $(CURDIR)/debian/python*-ceilometer/usr/etc
	dh_install

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/ceilometer/ceilometer.conf etc/ceilometer/ceilometer.conf.sample
	rm -rf .testrepository .stestr
	rm -rf pbr*.egg
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(13\..*)\.tar\.gz

## ceilometer 14.0.0~b2~git2020020508.6d67ae96

=== debian/changelog ===
ceilometer (1:14.0.0~b2~git2020020508.6d67ae96-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 09:57:25 +0100

ceilometer (1:14.0.0~b1~git2019121713.732b981e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/p/add-loadbalancer-resource-type.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 13:16:59 -0500

ceilometer (1:13.0.0-0ubuntu2) focal; urgency=medium

  * d/p/add-loadbalancer-resource-type.patch: Enable load balancer metrics,
    allowing gnocchi to capture measurement data for octavia load balancers
    (LP: #1848286).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Nov 2019 09:14:21 -0500

## ceilometer 14.0.0~b3~git2020041012.75b9d4e9

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 cachetools>=2.1.0 # MIT License
 cotyledon>=1.3.0 #Apache-2.0
-futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
 futurist>=1.8.0 # Apache-2.0
 jsonpath-rw-ext>=1.1.3 # Apache-2.0
 lxml>=3.4.1 # BSD
@@ -38,4 +37,5 @@
 os-xenapi>=0.3.3 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 gnocchiclient>=7.0.0 # Apache-2.0
+python-monascaclient>=1.12.0  # Apache-2.0
 python-zaqarclient>=1.3.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
 sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.6'  # BSD
 sphinxcontrib-httpdomain>=1.3.0 # BSD
 sphinxcontrib-blockdiag>=1.5.4 # BSD

=== debian/changelog ===
ceilometer (1:14.0.0~b3~git2020041012.75b9d4e9-0ubuntu1) focal; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New upstream snapshot for OpenStack Ussuri.
  * d/ceilometer-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 12:53:06 -0400

ceilometer (1:14.0.0~b3~git2020032414.56012eaa-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/ceilometer-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 14:45:56 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,9 @@
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -33,6 +30,7 @@
  python3-keystoneclient (>= 1:3.15.0),
  python3-lxml (>= 3.4.1),
  python3-mock (>= 2.0.0),
+ python3-monascaclient (>= 1.12.0),
  python3-monotonic (>= 0.6),
  python3-msgpack (>= 0.5.0),
  python3-neutronclient (>= 1:6.7.0),
@@ -75,8 +73,8 @@
  python3-yaml (>= 3.12),
  python3-zaqarclient (>= 1.3.0),
 Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
-Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
 Testsuite: autopkgtest-pkg-python
 
 Package: ceilometer-agent-central
@@ -212,6 +210,7 @@
  python3-keystoneclient (>= 1:3.15.0),
  python3-libvirt,
  python3-lxml (>= 3.4.1),
+ python3-monascaclient (>= 1.12.0),
  python3-monotonic (>= 0.6),
  python3-msgpack (>= 0.5.0),
  python3-neutronclient (>= 1:6.7.0),

=== debian/tests/control ===
Tests: test-services
Depends: ceilometer-common, ceilometer-agent-compute, ceilometer-agent-central,
 ceilometer-agent-ipmi, ceilometer-agent-notification, ceilometer-polling,
 rabbitmq-server, python3-libvirt, libvirt-daemon-system

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.opendev.org/openstack/ceilometer ceilometer-(13\..*)\.tar\.gz

## ceilometer 14.0.0

=== debian/changelog ===
ceilometer (1:14.0.0-0ubuntu0.20.04.3) focal; urgency=medium

  * d/t/control, d/t/test-services: Add nova-compute as a depends for
    services.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 16 Mar 2021 14:01:52 +0000

ceilometer (1:14.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/ceilometer-agent-compute.service.in: Customize systemd unit to
    ensure nova-compute is started (LP: #1885430).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 11 Mar 2021 09:14:28 +0000

ceilometer (1:14.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update tarball URL to https opendev.org endpoint.
  * d/control: Align Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 10:57:01 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer ceilometer-(14\..*)\.tar\.gz

## ceilometer 14.1.0

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 futurist>=1.8.0 # Apache-2.0
 jsonpath-rw-ext>=1.1.3 # Apache-2.0
 lxml>=3.4.1 # BSD
-monotonic>=0.6;python_version<'3.3' # Apache-2.0
 msgpack>=0.5.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
@@ -29,10 +28,10 @@
 python-swiftclient>=3.2.0 # Apache-2.0
 python-cinderclient>=3.3.0  # Apache-2.0
 PyYAML>=3.12 # MIT
-requests!=2.9.0,>=2.8.1 # Apache-2.0
-six>=1.9.0 # MIT
+requests>=2.14.2 # Apache-2.0
+six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-tenacity>=4.4.0  # Apache-2.0
+tenacity>=4.4.0,<7.0.0  # Apache-2.0
 tooz[zake]>=1.47.0 # Apache-2.0
 os-xenapi>=0.3.3 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2  # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0

=== debian/changelog ===
ceilometer (1:14.1.0-0ubuntu1) focal; urgency=medium

  * d/watch: Add trailing slash to fix download.
  * New stable point release for OpenStack Ussuri (LP: #1941048).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 25 Aug 2021 12:02:12 +0000

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
  python3-lxml (>= 3.4.1),
  python3-mock (>= 2.0.0),
  python3-monascaclient (>= 1.12.0),
- python3-monotonic (>= 0.6),
  python3-msgpack (>= 0.5.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
@@ -73,8 +72,8 @@
  python3-yaml (>= 3.12),
  python3-zaqarclient (>= 1.3.0),
 Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ceilometer
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ceilometer
 Testsuite: autopkgtest-pkg-python
 
 Package: ceilometer-agent-central
@@ -211,7 +210,6 @@
  python3-libvirt,
  python3-lxml (>= 3.4.1),
  python3-monascaclient (>= 1.12.0),
- python3-monotonic (>= 0.6),
  python3-msgpack (>= 0.5.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export PYBUILD_NAME=ceilometer
 
 DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
@@ -11,7 +13,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python3,systemd
+	dh $@  --with python3 --buildsystem=pybuild
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area
@@ -21,12 +23,9 @@
 	pkgos-dh_auto_test --no-py2 --test-path=./ceilometer/tests/unit 'ceilometer\.tests\.unit\.(?!(.*test_bin.*))'
 endif
 
-override_dh_auto_install:
-	pkgos-dh_auto_install --no-py2
-
 override_dh_install:
 	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/ceilometer/ceilometer-config-generator.conf
-	rm -rf $(CURDIR)/debian/python*-ceilometer/usr/etc
+	rm -rf $(CURDIR)/debian/python3-ceilometer/usr/etc
 	dh_install
 
 override_dh_auto_clean:

=== debian/tests/control ===
Tests: test-services
Depends: ceilometer-common, ceilometer-agent-compute, ceilometer-agent-central,
 ceilometer-agent-ipmi, ceilometer-agent-notification, ceilometer-polling,
 rabbitmq-server, python3-libvirt, libvirt-daemon-system, nova-compute

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/ceilometer/ ceilometer-(14\..*)\.tar\.gz
